diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_simple_insert_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_simple_insert_policy.sql
index 6176d08d..6c3dba68 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_simple_insert_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_simple_insert_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_simple_insert_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_update_policy_with_check_and_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_update_policy_with_check_and_using.sql
index 4f10bae5..d9e1b39a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_update_policy_with_check_and_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_update_policy_with_check_and_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_update_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_all_event_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_all_event_policy.sql
index e0f8fc67..2cd29e0e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_all_event_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_all_event_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: all_event_policy
 
--- DROP POLICY all_event_policy ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS all_event_policy ON public.test_rls_policy;
 
 CREATE POLICY all_event_policy
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_delete_policy_with_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_delete_policy_with_using.sql
index da2d81e0..82e3f6c6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_delete_policy_with_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_delete_policy_with_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_delete_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_public_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_public_policy.sql
index 4e43da3e..7b804033 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_public_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_public_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test
 
--- DROP POLICY test ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS test ON public.test_rls_policy;
 
 CREATE POLICY test
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_select_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_select_policy.sql
index 2d2f7e27..0dcf0ee8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_select_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_select_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_select_policy_rls_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_simple_all_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_simple_all_policy.sql
index be647dfc..06e9ed7a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_simple_all_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_simple_all_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_all_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_all_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_simple_insert_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_simple_insert_policy.sql
index 99d85686..746062fd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_simple_insert_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_simple_insert_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_simple_insert_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_update_policy_with_check_and_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_update_policy_with_check_and_using.sql
index c850b0ba..d39be28b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_update_policy_with_check_and_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/create_update_policy_with_check_and_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_update_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_select_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_select_policy.sql
index 8d316312..63b6329d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_select_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_select_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_select_policy_rls_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_simple_insert_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_simple_insert_policy.sql
index 07ddc1bb..5f0c2705 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_simple_insert_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_simple_insert_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_simple_insert_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_update_policy_with_check_and_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_update_policy_with_check_and_using.sql
index 3ee49810..d7d27f80 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_update_policy_with_check_and_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/alter_update_policy_with_check_and_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_update_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/create_delete_policy_with_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/create_delete_policy_with_using.sql
index cdbe5872..3eb581c5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/create_delete_policy_with_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/12_plus/create_delete_policy_with_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_delete_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_delete_policy_with_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_delete_policy_with_using.sql
index 7ec042fa..6adb34fd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_delete_policy_with_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_delete_policy_with_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_delete_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_select_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_select_policy.sql
index 72eb9417..dff804c8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_select_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_select_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_select_policy_rls_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_all_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_all_policy.sql
index 76748970..7cc807f7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_all_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_all_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_all_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_all_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_insert_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_insert_policy.sql
index 49ebd5d5..dd95496d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_insert_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_insert_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_simple_insert_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_update_policy_with_check_and_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_update_policy_with_check_and_using.sql
index b7db9e25..fc26c4fe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_update_policy_with_check_and_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_update_policy_with_check_and_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_update_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using.sql
index 088e460d..874bf4bb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_delete_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy.sql
index abc9328d..59a715e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_select_policy_rls_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy.sql
index 2d468e4b..de2e3799 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_all_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_all_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy.sql
index 8187596c..07c2390f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_simple_insert_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using.sql
index 4e1281cc..65afeeeb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_update_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_update_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/alter_table_with_toast_table.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/alter_table_with_toast_table.sql
index e0b9cfd3..70c567d2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/alter_table_with_toast_table.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/alter_table_with_toast_table.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_custom_autovaccum_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
 (
@@ -26,7 +26,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/alter_table_with_toast_table_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/alter_table_with_toast_table_msql.sql
index f738d3ec..89a93ace 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/alter_table_with_toast_table_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/alter_table_with_toast_table_msql.sql
@@ -1,12 +1,12 @@
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
     autovacuum_analyze_threshold = 60,
     autovacuum_vacuum_cost_limit = 100
 );
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" RESET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" RESET (
     autovacuum_enabled
 );
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
     toast.autovacuum_enabled = false,
     toast.autovacuum_freeze_max_age = 2000000,
     toast.autovacuum_vacuum_cost_delay = 50,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_partition.sql
index 601e7979..3821f29e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_partition.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_patition_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_patition_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_patition_$%{}[]()&*^!@""'`\/#"
 (
@@ -13,7 +13,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_patition_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
@@ -24,5 +24,5 @@ COMMENT ON TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
 CREATE TABLE IF NOT EXISTS public.cust_active PARTITION OF public."table_with_patition_$%{}[]()&*^!@""'`\/#"
     FOR VALUES IN ('ACTIVE');
 
-ALTER TABLE public.cust_active
+ALTER TABLE IF EXISTS public.cust_active
     OWNER to postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_partition_msql.sql
index a5fb12c7..fec9679b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_partition_msql.sql
@@ -8,7 +8,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_patition_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_range_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_range_partition.sql
index e873317a..142e1abc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_range_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_range_partition.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_range_patition_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
 (
@@ -13,7 +13,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 -- Partitions SQL
@@ -21,5 +21,5 @@ ALTER TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
 CREATE TABLE IF NOT EXISTS public."cust_arr_small PARTITION" PARTITION OF public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
     FOR VALUES FROM ('20') TO ('25');
 
-ALTER TABLE public."cust_arr_small PARTITION"
+ALTER TABLE IF EXISTS public."cust_arr_small PARTITION"
     OWNER to postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_range_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_range_partition_msql.sql
index 9a512427..ea340086 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_range_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/10_plus/create_table_with_range_partition_msql.sql
@@ -8,7 +8,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 CREATE TABLE IF NOT EXISTS public."cust_arr_small PARTITION" PARTITION OF public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/11_plus/alter_table_with_toast_table.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/11_plus/alter_table_with_toast_table.sql
index e0b9cfd3..70c567d2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/11_plus/alter_table_with_toast_table.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/11_plus/alter_table_with_toast_table.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_custom_autovaccum_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
 (
@@ -26,7 +26,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/11_plus/alter_table_with_toast_table_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/11_plus/alter_table_with_toast_table_msql.sql
index a1a588be..f8cf5a96 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/11_plus/alter_table_with_toast_table_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/11_plus/alter_table_with_toast_table_msql.sql
@@ -1,11 +1,11 @@
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
     autovacuum_analyze_threshold = 60,
     autovacuum_vacuum_cost_limit = 100
 );
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" RESET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" RESET (
     autovacuum_enabled
 );
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
     toast.autovacuum_enabled = false,
     toast.autovacuum_freeze_max_age = 2000000,
     toast.autovacuum_vacuum_cost_delay = 50,
